Outbound-Assistenten abrufen
curl --request GET \
--url https://app.autocalls.ai/api/user/assistants/outbound \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.autocalls.ai/api/user/assistants/outbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.autocalls.ai/api/user/assistants/outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://yourcompany.com/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Assistenten
Outbound-Assistenten abrufen
Alle Outbound-Assistenten für den authentifizierten Benutzer abrufen
GET
/
user
/
assistants
/
outbound
Outbound-Assistenten abrufen
Dieser Endpunkt gibt eine Liste aller Outbound-Assistenten zurück, die dem authentifizierten Benutzer gehören. Outbound-Assistenten werden für das Tätigen von Anrufen an Leads und Interessenten verwendet.
Antwortfelder
array
Anzeigen Eigenschaften
Anzeigen Eigenschaften
integer
Die eindeutige Kennung des Assistenten
integer
Die ID des Benutzers, dem dieser Assistent gehört
string
Der Name des Assistenten
string
Der Typ des Assistenten (wird für diesen Endpunkt immer “outbound” sein)
string
Der Engine-Modus (
pipeline oder multimodal)string
Der aktuelle Status des Assistenten
integer
Die ID der vom Assistenten verwendeten Stimme
integer
Die ID der vom Assistenten verwendeten Sprache
string
Die Zeitzoneneinstellung für den Assistenten
string
Die erste Nachricht, die der Assistent sprechen wird
string
Der System-Prompt, der das Verhalten des Assistenten definiert
object
Benutzerdefinierte Variablen, die für den Assistenten definiert wurden
string
Die Webhook-URL für Post-Call-Benachrichtigungen
boolean
Ob Webhook-Benachrichtigungen aktiviert sind
string
Datum und Uhrzeit der Erstellung des Assistenten
string
Datum und Uhrzeit der letzten Aktualisierung des Assistenten
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://yourcompany.com/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Hinweise
- Dieser Endpunkt gibt nur Assistenten mit dem Typ “outbound” zurück
- Alle Assistenten, die dem authentifizierten Benutzer gehören, werden zurückgegeben (keine Paginierung)
- Verwenden Sie diese Assistenten mit dem Endpunkt zum Tätigen von Anrufen, um ausgehende Anrufe zu initiieren
- Outbound-Assistenten können für Verkaufsanrufe, Nachfassaktionen, Umfragen und andere proaktive Anrufszenarien verwendet werden
⌘I
